$choices = '&Yes', '&No'

# Install 1Password
$decision = $Host.UI.PromptForChoice('Install 1Password', 'Proceed?', $choices, 0)
if ($decision -eq 0) {
  $1password_installer = "$env:USERPROFILE/Downloads/1PasswordSetup-latest.exe"
  Invoke-WebRequest -Uri "https://downloads.1password.com/win/1PasswordSetup-latest.exe" -OutFile "$1password_installer"
  &$1password_installer
  Remove-Item $1password_installer
} else {
  echo 'Skipping 1Password'
}

# Enable Hyper-V
$decision = $Host.UI.PromptForChoice('Enable Hyper-V', 'Proceed?', $choices, 0)
if ($decision -eq 0) {
  Enable-WindowsOptionalFeature -Online -FeatureName Microsoft-Hyper-V -All
} else {
  echo 'Skipping Hyper-V'
}

# Enable Containters
$decision = $Host.UI.PromptForChoice('Enable Containers', 'Proceed?', $choices, 0)
if ($decision -eq 0) {
  Enable-WindowsOptionalFeature -Online -FeatureName Containers -All
} else {
  echo 'Skipping Containers'
}

# Install Scoop
# TODO: Set permanent user scope environment variables
$scoop_installer = "$env:USERPROFILE/Downloads/ScoopInstaller.ps1"
Invoke-WebRequest -Uri https://get.scoop.sh -OutFile $scoop_installer
&$scoop_installer -ScoopDir "$env:LocalAppData/Scoop" -ScoopGlobalDir "$env:ProgramData/Scoop"

# Install Chocolatey
iex ((New-Object System.Net.WebClient).DownloadString('https://community.chocolatey.org/install.ps1'))

# Install SSH Server
$decision = $Host.UI.PromptForChoice('Install SSH Server', 'Proceed?', $choices, 0)
if ($decision -eq 0) {
  choco install --yes "--package-parameters=/SSHServerFeature" openssh
  Start-Service sshd
  Set-Service -Name sshd -StartupType 'Automatic'
} else {
  echo 'Skipping SSH Server'
}
